Name: qtrayvolman
Version: 0.9.3
Release: alt1

Summary: systray volume manager
Group: Graphical desktop/Other
License: GPL
Url: http://freshmeat.net/projects/qtrayvolman/
Packager: Mykola Grechukh <gns@altlinux.org>
PreReq: hal >= 0.5.0
Requires: pmount

Source: %name-%version.tar.bz2

# Automatically added by buildreq on Thu Aug 07 2008
BuildRequires: fontconfig gcc-c++ libqt4-devel packages-info-i18n-common qt4-settings

%description
qtrayvolman handles hot-pluggable devices and removable media that are added to or removed from the system. It displays a nice icon in the system tray for each volume. It uses D-BUS and HAL to listen for new devices. It provides functionality for mounting and unmounting and runs pcmanfm for a given volume.

%prep
%setup -q -n %name

%build
export QT4DIR=%_qt4dir
export PATH=$QT4DIR/bin:$PATH
qmake
make

%install
mkdir -p %buildroot%_bindir
install -m 755 qtrayvolman %buildroot/%_bindir/%name

%files
%_bindir/%name

%changelog
* Mon Jul 13 2009 Nick S. Grechukh <gns@altlinux.org> 0.9.3-alt1
- option for exec script after device mounted
- optional check for systray presence
- automount feature

(based on patch from Sergey Pinaev dfo _at_ antex.ru)

* Sat Oct 04 2008 Mykola Grechukh <gns@altlinux.org> 0.9.2-alt1
- removed check for systray on start

* Wed Aug 06 2008 Mykola Grechukh <gns@altlinux.org> 0.9.1-alt1
- initial build to Sisyphus

